.combo-box {
  position: relative;
  width: 100%;

  @include flex(row, nowrap, center, center);
  &__btn {
    position: absolute;
    left: 0;
    height: 50px;
    background-color: var(--color-text-50);
    padding: 0 space(2);
  }
  &__input {
    width: 200px;
    height: 50px;
    margin-left: space(16);
    background-color: var(--color-text-50);
    &::placeholder {
      margin-left: space(10);
    }
  }
  &__option {
    margin-top: space(24);
    &--not-active {
      position: relative;
      background-color: red;

    }
    &--active {
      // background-color: var(--color-palette-primary-main);
      background-color: red;

      color: var(--color-text-50);
    }
  }
  &__logo {
    width: 20px;
    height: 20px;
    margin-left: space(2);
    z-index: 9999;
  }
}

